package com.scalangular.f1.league.v2.usecases.common

import com.scalangular.f1.league.v2.entities.F1Driver
import com.scalangular.f1.league.v2.generated.transfer.entitys.RaceResult

interface AutogenerateDNSForRaceResultUseCase {
    data class AutogenerateDNSForRaceResultCommand(
        val raceResult: RaceResult,
        val drivers: List<F1Driver>
    )

    fun addDNSToRaceResult(buildRaceResultCommand: AutogenerateDNSForRaceResultCommand): RaceResult
}
